diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/lte-test-ue-measurements.cc ns-3.43/src/lte/test/lte-test-ue-measurements.cc
--- ns-3.42/src/lte/test/lte-test-ue-measurements.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/lte-test-ue-measurements.cc	2024-10-09 16:41:10.048656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/lte-test-ue-measurements.h ns-3.43/src/lte/test/lte-test-ue-measurements.h
--- ns-3.42/src/lte/test/lte-test-ue-measurements.h	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/lte-test-ue-measurements.h	2024-10-09 16:41:10.048656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/lte-test-ue-phy.cc ns-3.43/src/lte/test/lte-test-ue-phy.cc
--- ns-3.42/src/lte/test/lte-test-ue-phy.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/lte-test-ue-phy.cc	2024-10-09 16:41:10.048656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/lte-test-ue-phy.h ns-3.43/src/lte/test/lte-test-ue-phy.h
--- ns-3.42/src/lte/test/lte-test-ue-phy.h	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/lte-test-ue-phy.h	2024-10-09 16:41:10.048656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  * (Based on lte-ue-phy code)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/lte-test-uplink-power-control.cc ns-3.43/src/lte/test/lte-test-uplink-power-control.cc
--- ns-3.42/src/lte/test/lte-test-uplink-power-control.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/lte-test-uplink-power-control.cc	2024-10-09 16:41:10.048656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/lte-test-uplink-power-control.h ns-3.43/src/lte/test/lte-test-uplink-power-control.h
--- ns-3.42/src/lte/test/lte-test-uplink-power-control.h	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/lte-test-uplink-power-control.h	2024-10-09 16:41:10.048656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/lte-test-uplink-sinr.cc ns-3.43/src/lte/test/lte-test-uplink-sinr.cc
--- ns-3.42/src/lte/test/lte-test-uplink-sinr.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/lte-test-uplink-sinr.cc	2024-10-09 16:41:10.048656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  * Modified by Marco Miozzo <mmiozzo@ctt.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/lte-test-uplink-sinr.h ns-3.43/src/lte/test/lte-test-uplink-sinr.h
--- ns-3.42/src/lte/test/lte-test-uplink-sinr.h	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/lte-test-uplink-sinr.h	2024-10-09 16:41:10.048656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  * Modified by Marco Miozzo <mmiozzo@ctt.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/test-asn1-encoding.cc ns-3.43/src/lte/test/test-asn1-encoding.cc
--- ns-3.42/src/lte/test/test-asn1-encoding.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/test-asn1-encoding.cc	2024-10-09 16:41:10.048656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Lluis Parcerisa <lparcerisa@cttc.cat>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/test-epc-tft-classifier.cc ns-3.43/src/lte/test/test-epc-tft-classifier.cc
--- ns-3.42/src/lte/test/test-epc-tft-classifier.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/test-epc-tft-classifier.cc	2024-10-09 16:41:10.048656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011-2018 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:
  *   Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/test-lte-antenna.cc ns-3.43/src/lte/test/test-lte-antenna.cc
--- ns-3.42/src/lte/test/test-lte-antenna.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/test-lte-antenna.cc	2024-10-09 16:41:10.048656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Manuel Requena <manuel.requena@cttc.es>
  *         Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/test-lte-epc-e2e-data.cc ns-3.43/src/lte/test/test-lte-epc-e2e-data.cc
--- ns-3.42/src/lte/test/test-lte-epc-e2e-data.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/test-lte-epc-e2e-data.cc	2024-10-09 16:41:10.048656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/test-lte-handover-delay.cc ns-3.43/src/lte/test/test-lte-handover-delay.cc
--- ns-3.42/src/lte/test/test-lte-handover-delay.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/test-lte-handover-delay.cc	2024-10-09 16:41:10.048656500 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Magister Solutions
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *         Alexander Krotov <krotov@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/test-lte-handover-failure.cc ns-3.43/src/lte/test/test-lte-handover-failure.cc
--- ns-3.42/src/lte/test/test-lte-handover-failure.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/test-lte-handover-failure.cc	2024-10-09 16:41:10.052656400 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2013 Magister Solutions (original test-lte-handover-delay.cc)
  * Copyright (c) 2021 University of Washington (handover failure cases)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sachin Nayak <sachinnn@uw.edu>
  */
@@ -29,6 +18,7 @@
 #include <ns3/ipv4-static-routing.h>
 #include <ns3/log.h>
 #include <ns3/lte-helper.h>
+#include <ns3/lte-ue-net-device.h>
 #include <ns3/mobility-helper.h>
 #include <ns3/net-device-container.h>
 #include <ns3/node-container.h>
@@ -266,6 +256,10 @@
      */
     auto enbDevs = lteHelper->InstallEnbDevice(enbNodes);
     auto ueDev = lteHelper->InstallUeDevice(ueNode).Get(0);
+    auto castedUeDev = DynamicCast<LteUeNetDevice>(ueDev);
+    // Working value from before we started resetting g_nextStreamIndex. For more details
+    // see https://gitlab.com/nsnam/ns-3-dev/-/merge_requests/2178#note_2143793903
+    castedUeDev->GetPhy()->GetDlSpectrumPhy()->AssignStreams(175);
 
     /*
      * Network layer.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/test-lte-handover-target.cc ns-3.43/src/lte/test/test-lte-handover-target.cc
--- ns-3.42/src/lte/test/test-lte-handover-target.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/test-lte-handover-target.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Budiarto Herman
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/test-lte-rlc-header.cc ns-3.43/src/lte/test/test-lte-rlc-header.cc
--- ns-3.42/src/lte/test/test-lte-rlc-header.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/test-lte-rlc-header.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011, 2012, 2013 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Lluis Parcerisa <lparcerisa@cttc.cat> (TestUtils from test-asn1-encoding.cc)
  *         Nicola Baldo <nbaldo@cttc.es> (actual test)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/test-lte-rrc.cc ns-3.43/src/lte/test/test-lte-rrc.cc
--- ns-3.42/src/lte/test/test-lte-rrc.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/test-lte-rrc.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  *         Budiarto Herman <budiarto.herman@magister.fi>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/test-lte-x2-handover.cc ns-3.43/src/lte/test/test-lte-x2-handover.cc
--- ns-3.42/src/lte/test/test-lte-x2-handover.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/test-lte-x2-handover.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/test/test-lte-x2-handover-measures.cc ns-3.43/src/lte/test/test-lte-x2-handover-measures.cc
--- ns-3.42/src/lte/test/test-lte-x2-handover-measures.cc	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/lte/test/test-lte-x2-handover-measures.cc	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:
  *   Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/doc/mesh.h ns-3.43/src/mesh/doc/mesh.h
--- ns-3.42/src/mesh/doc/mesh.h	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/doc/mesh.h	2024-10-09 16:41:10.052656400 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors:     Kirill Andreev <andreev@itp.ru>
  *              Aleksander Safonov <safa@iitp.ru>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/mesh/examples/CMakeLists.txt ns-3.43/src/mesh/examples/CMakeLists.txt
--- ns-3.42/src/mesh/examples/CMakeLists.txt	2024-05-29 15:29:47.128073700 -0700
+++ ns-3.43/src/mesh/examples/CMakeLists.txt	2024-10-09 16:41:10.052656400 -0700
@@ -1,6 +1,6 @@
 build_lib_example(
-  NAME mesh
-  SOURCE_FILES mesh.cc
+  NAME mesh-example
+  SOURCE_FILES mesh-example.cc
   LIBRARIES_TO_LINK
     ${libinternet}
     ${libmobility}
